NotConvergedException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## no.uib.cipr.matrix
Class NotConvergedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              no.uib.cipr.matrix.NotConvergedException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IterativeSolverNotConvergedException

    public class NotConvergedException

extends java.lang.Exception

Signals lack of convergence of an iterative process

See Also:
  Serialized Form

Nested Class Summary
`static class` | `NotConvergedException.Reason` Possible reasons for lack of convergence

Field Summary
`protected NotConvergedException.Reason` | `reason` The reason for this exception

Constructor Summary
`NotConvergedException(NotConvergedException.Reason reason)` Constructor for NotConvergedException.
`NotConvergedException(NotConvergedException.Reason reason, java.lang.String message)` Constructor for NotConvergedException

Method Summary
`NotConvergedException.Reason` | `getReason()` Returns the reason for the exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### reason

    protected NotConvergedException.Reason reason

  The reason for this exception

Constructor Detail

### NotConvergedException

    public NotConvergedException(NotConvergedException.Reason reason,
                                 java.lang.String message)

  Constructor for NotConvergedException

  Parameters:
    `reason` - The reason for the lack of convergence
    `message` - A more descriptive explanation

### NotConvergedException

    public NotConvergedException(NotConvergedException.Reason reason)

  Constructor for NotConvergedException. No message is provided

  Parameters:
    `reason` - The reason for the lack of convergence

Method Detail

### getReason

    public NotConvergedException.Reason getReason()

  Returns the reason for the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD